<md-content
	layout="column"
	flex>
	
	<div>
		<a href="elearn/domain/{{domain.id}}">
			<wb-icon ng-if="app.setting.dir!=='rtl'">arrow_back</wb-icon>
			<wb-icon ng-if="app.setting.dir==='rtl'">arrow_forward</wb-icon>
			{{domain.title}}
		</a>
		<span flex></span>
	</div>
	<am-wb-inline
		am-wb-inline-type="img"
		am-wb-inline-label="Cover"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="topic.cover">
		<div
			layout="column"
			layout-align="start center">
			<img 
				style="border-radius: 10px;"
				ng-src="{{topic.cover}}" 
				height="128px" width="128px" 
				alt="domain image"></img>
		</div>
	</am-wb-inline>
	<am-wb-inline
		style="text-align: center;"
		am-wb-inline-type="text"
		am-wb-inline-label="Title"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="topic.title">
		<h1>{{topic.title}}</h1>
	</am-wb-inline>
	<am-wb-inline
		style="text-align: center;"
		am-wb-inline-type="textarea"
		am-wb-inline-label="description"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="topic.description">
		<p>{{topic.description}}</p>
	</am-wb-inline>
	
	<div
		ng-show="app.user.owner && ctrl.items && ctrl.items.length > 0">
		<md-button
			ng-click="addCourse()">
			<wb-icon>add</wb-icon>
			<span translate>Add course</span>
		</md-button>
	</div>
	<amh-elearn-course-block
		ng-repeat="object in ctrl.items track by object.id"
		ng-model="object">
	</amh-elearn-course-block>
  
	<div
		layout="column"
		layout-align="center center"
		ng-show="!ctrl.items || ctrl.items.length == 0">
		<h2>Empty course list</h2>
		<p>Any course match with the query. You can add a new course by 
			click on the add button.</p>
		<md-button
			ng-click="addCourse()">
			<wb-icon>add</wb-icon>
			<span translate>Add course</span>
		</md-button>
	</div>
</md-content>

